## visad.jmet
Class MetGrid

    java.lang.Object
      visad.jmet.MetGrid

public class MetGrid
extends Object

defines a 2D grid for meteorology. This needs to be expanded

Field Summary
`protected CoordinateSystem` `coordinateSystem`
`protected FlatField` `data`
`protected MetGridDirectory` `dir`
`(package private) Integer2DSet` `dom_set`
`(package private) RealTupleType` `grid_domain`
`protected Date` `referenceTime`
`protected Date` `validTime`

Constructor Summary
`MetGrid(MetGridDirectory d, double[] gpData)`

Method Summary
`CoordinateSystem` `getCoordinateSystem()` return the CoordinateSystem for this grid (could also get from the MetGridDirectory, too)
`DataImpl` `getData()` return the DataImpl (FlatField) for this grid
`Integer2DSet` `getDomainSet()` return the DomainSet for this grid
`MetGridDirectory` `getGridDirectory()` return the MetGridDirectory for this grid

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dir

    protected MetGridDirectory dir

### data

    protected FlatField data

### coordinateSystem

    protected CoordinateSystem coordinateSystem

### referenceTime

    protected Date referenceTime

### validTime

    protected Date validTime

### grid_domain

    RealTupleType grid_domain

### dom_set

    Integer2DSet dom_set

Constructor Detail

### MetGrid

    public MetGrid(MetGridDirectory d,
                   double[] gpData)

Parameters:
  `d` - - the MetGridDirectory for this data
  `gpData` - - the array of data values, ordered as (x,y) with x varying fastest.

Method Detail

### getDomainSet

    public Integer2DSet getDomainSet()

  return the DomainSet for this grid

### getGridDirectory

    public MetGridDirectory getGridDirectory()

  return the MetGridDirectory for this grid

### getCoordinateSystem

    public CoordinateSystem getCoordinateSystem()

  return the CoordinateSystem for this grid (could also get from the MetGridDirectory, too)

### getData

    public DataImpl getData()

  return the DataImpl (FlatField) for this grid